# norootforbuild

%define		soname	1

Name:		projectM-qt
Version:	2.0.1
Release:	3.3

Summary:	QT UI for projectM
License:	LGPL
Group:		Productivity/Multimedia/Sound/Visualization
URL:		http://projectm.sourceforge.net/

Source0:	%{name}-%{version}-Source.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libprojectM-devel libqt4-devel pkgconfig


%description
ProjectM-qt is a GUI designed to enhance the projectM user and preset writer.
experience. I could say it's the best direction for projectM and that's why I.
wrote it, but it was really a curious digression in Qt4.


%package -n lib%{name}%{soname}
Summary:	Sound Visualization Library
Group:		System/Libraries
Requires:	%{name}

%description -n lib%{name}%{soname}
ProjectM-qt is a GUI designed to enhance the projectM user and preset writer.
experience. I could say it's the best direction for projectM and that's why I.
wrote it, but it was really a curious digression in Qt4.


%package -n lib%{name}-devel
Summary:	Development package for %{name}
Group:		Development/Libraries/C and C++
Requires:	lib%{name}%{soname} = %{version}
Requires:	libprojectM-devel libqt4-devel

%description -n lib%{name}-devel
This package contains the files needed to compile programs that use the
%{name} library.





%prep
%setup -q -n %{name}-%{version}-Source


%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	%if %{_lib} == lib64
		-DLIB_SUFFIX=64 \
	%endif
	.

%__make %{?jobs:-j%{jobs}}


%install
%makeinstall


%post -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root,-)
%doc COPYING ReadMe
%{_datadir}/pixmaps/prjm16-transparent.svg

%files -n lib%{name}%{soname}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.%{soname}*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%dir %{_includedir}/lib%{name}
%{_includedir}/lib%{name}/qprojectm_mainwindow.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Wed Sep 08 2010 - Detlef Reichelt <detlef@links2linux.de> - 2.0.1
- initial build <2.0.1>
